import QtQuick 1.1
import com.nokia.meego 1.1

import "../JS/globals.js" as GLOBALS

Sheet {
    property alias cn: cn.text
    property alias org: org.text
    property alias orgunit: orgunit.text
    property alias certType: certType.text
    property alias location: location.text
    property alias dates: dates.text
    property alias sha1: sha1fp.text
    property alias md5: md5fp.text

//    acceptButtonText: qsTr("Add")
    rejectButtonText: qsTr("Close")

    content: Flickable {
            id: flickArea
            anchors { fill: parent; leftMargin: 10; topMargin: 10; rightMargin: 10 }
            flickableDirection: Flickable.VerticalFlick
            Label {
                id: sslDialogLabel
                text: qsTr("Certificate Details")
                anchors.top: parent.top
                platformStyle: LabelStyle { fontPixelSize: 30 }
                textFormat: Text.PlainText
            }
            Image {
               id: headerLine
               height: 2
               width: parent.width
               anchors { left: parent.left; right: parent.right; top: sslDialogLabel.bottom }
               source: "image://theme/meegotouch-separator" + (theme.inverted? "-inverted" : "") + "-background-horizontal"
               fillMode: Image.TileHorizontally
            }
            Column {
                anchors { top: headerLine.bottom; topMargin: 30 }
                spacing: 10
                width: parent.width
                Label { id: cn; width: parent.width; }
                Text { id: certType; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: org; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: orgunit; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: location; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: dates; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Image {
                   id: fingerprintLine
                   height: 2
                   width: parent.width
                   anchors { left: parent.left; right: parent.right }
                   source: "image://theme/meegotouch-separator" + (theme.inverted? "-inverted" : "") + "-background-horizontal"
                   fillMode: Image.TileHorizontally
                }
                Text { id: sha1Head; text: qsTr("SHA1 Fingerprint:"); font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: sha1fp; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WrapAtWordBoundaryOrAnywhere; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: md5Head; text: qsTr("MD5 Fingerprint:"); font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WordWrap; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
                Text { id: md5fp; font.pointSize: 17; font.weight: Font.Light; wrapMode: Text.WrapAtWordBoundaryOrAnywhere; width: parent.width; textFormat: Text.PlainText; color: theme.inverted ? "white" : "black" }
            }
    }
}

